## NemoInfoProvider

NemoInfoProvider — An interface to allow collection of additional file info.

## Functions

void | (*NemoInfoProviderUpdateComplete) ()
NemoOperationResult | nemo_info_provider_update_file_info ()
void | nemo_info_provider_cancel_update ()
void | nemo_info_provider_update_complete_invoke ()

## Types and Values

| NemoInfoProvider
struct | NemoInfoProviderInterface

## Object Hierarchy

        GInterface
        ╰── NemoInfoProvider

## Prerequisites

NemoInfoProvider requires GObject.

## Description

This interface can be used to collect additional file info, generally used together with a NemoColumnProvider. It can be used as a synchronous or async interface.

Additional, it can act in the background and notify Nemo when information has changed from some external source.

## Functions

### NemoInfoProviderUpdateComplete ()

    void
    (*NemoInfoProviderUpdateComplete) (NemoInfoProvider *provider,
                                       NemoOperationHandle *handle,
                                       NemoOperationResult result,
                                       gpointer user_data);

### nemo_info_provider_update_file_info ()

    NemoOperationResult
    nemo_info_provider_update_file_info (NemoInfoProvider *provider,
                                         NemoFileInfo *file,
                                         GClosure *update_complete,
                                         NemoOperationHandle **handle);

### nemo_info_provider_cancel_update ()

    void
    nemo_info_provider_cancel_update (NemoInfoProvider *provider,
                                      NemoOperationHandle *handle);

### nemo_info_provider_update_complete_invoke ()

    void
    nemo_info_provider_update_complete_invoke
                                   (GClosure *update_complete,
                                    NemoInfoProvider *provider,
                                    NemoOperationHandle *handle,
                                    NemoOperationResult result);

## Types and Values

### NemoInfoProvider

    typedef struct _NemoInfoProvider NemoInfoProvider;

### struct NemoInfoProviderInterface

    struct NemoInfoProviderInterface {
    	GTypeInterface g_iface;

    	NemoOperationResult (*update_file_info) (NemoInfoProvider     *provider,
    						     NemoFileInfo         *file,
    						     GClosure                 *update_complete,
    						     NemoOperationHandle **handle);
    	void                    (*cancel_update)    (NemoInfoProvider     *provider,
    						     NemoOperationHandle  *handle);
    };